OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
NetworkGameInfo Struct Reference

The game information that is sent from the server to the clients. More...

`#include <game.h>`

Inheritance diagram for NetworkGameInfo:

## Data Fields
GRFConfig * | grfconfig
| List of NewGRF files used.
Date | start_date
| When the game started.
Date | game_date
| Current date.
uint16 | map_width
| Map width.
uint16 | map_height
| Map height.
char | server_name [NETWORK_NAME_LENGTH]
| Server name.
char | hostname [NETWORK_HOSTNAME_LENGTH]
| Hostname of the server (if any)
char | server_revision [NETWORK_REVISION_LENGTH]
| The version number the server is using (e.g.: 'r304' or 0.5.0)
bool | dedicated
| Is this a dedicated server?
bool | version_compatible
| Can we connect to this server or not? (based on server_revision)
bool | compatible
| Can we connect to this server or not? (based on server_revision and grf_match.
bool | use_password
| Is this server passworded?
byte | game_info_version
| Version of the game info.
byte | server_lang
| Language of the server (we should make a nice table for this)
byte | clients_max
| Max clients allowed on server.
byte | companies_on
| How many started companies do we have.
byte | companies_max
| Max companies allowed on server.
byte | spectators_on
| How many spectators do we have?
byte | spectators_max
| Max spectators allowed on server.
byte | map_set
| Graphical set.
Data Fields inherited from NetworkServerGameInfo
char | map_name [NETWORK_NAME_LENGTH]
| Map which is played ["random" for a randomized map].
byte | clients_on
| Current count of clients on server.

## Detailed Description

The game information that is sent from the server to the clients.

Definition at line 36 of file game.h.

The documentation for this struct was generated from the following file:

- src/network/core/game.h